- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - LimitToTicket TICKETID
  - SortFields
- Limit Helper Routines
  - _IdLimit
  - _EnumLimit
  - _IntLimit
  - _DateLimit
  - _StringLimit
  - _ObjectCustomFieldValueLimit
  - _CustomFieldNameLimit
  - _CustomFieldDecipher
  - _CustomFieldLimit
  - _AttachLimit
  - _AttachContentLimit
  - FromSQL
  - Query

# NAME

      RT::Transactions - a collection of RT Transaction objects

# SYNOPSIS

      use RT::Transactions;

# DESCRIPTION

# METHODS

## LimitToTicket TICKETID

Find only transactions for the ticket whose id is TICKETID.

This includes tickets merged into TICKETID.

Repeated calls to this method will intelligently limit down to that set of tickets, joined with an OR

## SortFields

Returns the list of fields that lists of transactions can easily be sorted by

# Limit Helper Routines

These routines are the targets of a dispatch table depending on the type of field. They all share the same signature:

      my ($self,$field,$op,$value,@rest) = @_;

The values in @rest should be suitable for passing directly to DBIx::SearchBuilder::Limit.

Essentially they are an expanded/broken out (and much simplified) version of what ProcessRestrictions used to do. They're also much more clearly delineated by the TYPE of field being processed.

## _IdLimit

Handle ID field.

## _EnumLimit

Handle Fields which are limited to certain values, and potentially need to be looked up from another class.

This subroutine actually handles two different kinds of fields. For some the user is responsible for limiting the values. (i.e. ObjectType).

For others, the value specified by the user will be looked by via specified class.

Meta Data: name of class to lookup in (Optional)

## _IntLimit

Handle fields where the values are limited to integers. (id)

Meta Data: None

## _DateLimit

Handle date fields. (Created)

Meta Data: 1: type of link. (Probably not necessary.)

## _StringLimit

Handle simple fields which are just strings. (Type, Field, OldValue, NewValue, ReferenceType)

Meta Data: None

## _ObjectCustomFieldValueLimit

Handle object custom field values. (OldReference, NewReference)

Meta Data: None

## _CustomFieldNameLimit

Handle custom field name field. (Field)

Meta Data: None

## _CustomFieldDecipher

Try and turn a CF descriptor into (cfid, cfname) object pair.

Takes an optional second parameter of the CF LookupType, defaults to Ticket CFs.

## _CustomFieldLimit

Limit based on CustomFields

Meta Data: none

## _AttachLimit

Limit based on the ContentType or the Filename of an attachment.

## _AttachContentLimit

Limit based on the Content of a transaction.

## FromSQL

Convert a RT-SQL string into a set of SearchBuilder restrictions.

Returns (1, 'Status message') on success and (0, 'Error Message') on failure.

## Query

Returns the last string passed to "FromSQL".

← Back to index